org.opencv.face

## Class BasicFaceRecognizer

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.face.FaceRecognizer
    - - org.opencv.face.BasicFaceRecognizer

- Direct Known Subclasses:
    EigenFaceRecognizer, FisherFaceRecognizer

      public class BasicFaceRecognizer
      extends FaceRecognizer

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BasicFaceRecognizer(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BasicFaceRecognizer` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `Mat` | `getEigenValues()`
    `Mat` | `getEigenVectors()`
    `Mat` | `getLabels()`
    `Mat` | `getMean()`
    `int` | `getNumComponents()` SEE: setNumComponents
    `List<Mat>` | `getProjections()`
    `double` | `getThreshold()` SEE: setThreshold
    `void` | `setNumComponents(int val)` getNumComponents SEE: getNumComponents
    `void` | `setThreshold(double val)` getThreshold SEE: getThreshold

    - ### Methods inherited from class org.opencv.face.FaceRecognizer

      `getLabelInfo, getLabelsByString, predict_collect, predict_label, predict, read, setLabelInfo, train, update, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicFaceRecognizer

          protected BasicFaceRecognizer(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static BasicFaceRecognizer __fromPtr__(long addr)

    - #### getEigenValues

          public Mat getEigenValues()

    - #### getEigenVectors

          public Mat getEigenVectors()

    - #### getLabels

          public Mat getLabels()

    - #### getMean

          public Mat getMean()

    - #### getThreshold

          public double getThreshold()

      SEE: setThreshold
      Returns:
        automatically generated

    - #### getNumComponents

          public int getNumComponents()

      SEE: setNumComponents
      Returns:
        automatically generated

    - #### getProjections

          public List<Mat> getProjections()

    - #### setNumComponents

          public void setNumComponents(int val)

      getNumComponents SEE: getNumComponents
      Parameters:
        `val` - automatically generated

    - #### setThreshold

          public void setThreshold(double val)

      getThreshold SEE: getThreshold
      Parameters:
        `val` - automatically generated

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `FaceRecognizer`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7